com.atid.lib.module.barcode.ssi.type

## Enum MSICheckDigits

- java.lang.Object
- - java.lang.Enum<MSICheckDigits>
  - - com.atid.lib.module.barcode.ssi.type.MSICheckDigits

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<MSICheckDigits>

      public enum MSICheckDigits
      extends java.lang.Enum<MSICheckDigits>
      implements IEnumType

  With MSI symbols, one check digit is mandatory and always verified by the reader. The second check digit is optional. If the MSI codes include two check digits, scan the Two MSI Check Digits bar code to enable verification of the second check digit. See MSI Check Digit Algorithm for the selection of second digit algorithms.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OneCheckDigit`
    `TwoCheckDigit`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static MSICheckDigits` | `valueOf(int code)`
    `static MSICheckDigits` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MSICheckDigits[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OneCheckDigit

          public static final MSICheckDigits OneCheckDigit

    - #### TwoCheckDigit

          public static final MSICheckDigits TwoCheckDigit

  - ### Method Detail

    - #### values

          public static MSICheckDigits[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MSICheckDigits c : MSICheckDigits.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MSICheckDigits valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<MSICheckDigits>`

    - #### valueOf

          public static MSICheckDigits valueOf(int code)